Index: Singular/clapsing.cc
===================================================================
--- Singular/clapsing.cc	(revision 0f5091ea1879ab5dca9d221f9cfc0b248090d973)
+++ Singular/clapsing.cc	(revision e858e7474c86dc4faa76dde10fcfb590dcdaabae)
@@ -3,5 +3,5 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-// $Id: clapsing.cc,v 1.52 1999-06-15 08:32:31 Singular Exp $
+// $Id: clapsing.cc,v 1.53 1999-06-28 16:06:22 Singular Exp $
 /*
 * ABSTRACT: interface between Singular and factory
@@ -639,5 +639,5 @@
     {
       (*v)=new intvec(1);
-      (*v)[1]=1;
+      (**v)[0]=1;
     }
     return res;
@@ -1138,4 +1138,7 @@
   ideal f=singclap_factorize((poly)(u->Data()), &v, 0);
   if (f==NULL) return TRUE;
+  #ifdef MDEBUG
+  v->ivTEST();
+  #endif
   lists l=(lists)Alloc(sizeof(slists));
   l->Init(2);
Index: Singular/intvec.cc
===================================================================
--- Singular/intvec.cc	(revision 0f5091ea1879ab5dca9d221f9cfc0b248090d973)
+++ Singular/intvec.cc	(revision e858e7474c86dc4faa76dde10fcfb590dcdaabae)
@@ -2,5 +2,5 @@
 *  Computer Algebra System SINGULAR      *
 *****************************************/
-/* $Id: intvec.cc,v 1.12 1999-04-17 12:30:17 Singular Exp $ */
+/* $Id: intvec.cc,v 1.13 1999-06-28 16:06:23 Singular Exp $ */
 /*
 * ABSTRACT: class intvec: lists/vectors of integers
@@ -82,6 +82,6 @@
   if ((col == 1)&&(mat!=INTMAT_CMD))
   {
-    int i;
-    for (i=0; i<row-1; i++)
+    int i=0;
+    for (; i<row-1; i++)
     {
       StringAppend("%d,",v[i]);
Index: Singular/intvec.h
===================================================================
--- Singular/intvec.h	(revision 0f5091ea1879ab5dca9d221f9cfc0b248090d973)
+++ Singular/intvec.h	(revision e858e7474c86dc4faa76dde10fcfb590dcdaabae)
@@ -4,5 +4,5 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: intvec.h,v 1.7 1999-04-16 07:53:34 obachman Exp $ */
+/* $Id: intvec.h,v 1.8 1999-06-28 16:06:23 Singular Exp $ */
 /*
 * ABSTRACT: class intvec: lists/vectors of integers
@@ -32,10 +32,14 @@
     int range(int i, int j)
        { return ((i<row) && (i>=0) && (j<col) && (j>=0)); }
-    int& operator[](int i) {
+    int& operator[](int i)
+    {
+       #ifndef NDEBUG
        if((i<0)||(i>=row*col))
        {
           Werror("wrong intvec index:%d\n",i);
        }
-       return v[i];}
+       #endif
+       return v[i];
+    }
 #define IMATELEM(M,I,J) (M)[(I-1)*(M).cols()+J-1]
     void operator+=(int intop);
@@ -68,4 +72,11 @@
          }
        }
+    void ivTEST()
+       {
+#ifdef MDEBUG
+         mmTestL(this);
+         mmTest((ADDRESS)v,sizeof(int)*row*col);
+#endif
+       }
 };
 intvec * ivCopy(intvec * o);
